Subject: Re: linux-next: Tree for October 21 (staging/prism2-usb)

From: Greg KH <[email-masked]>
Date: Tue, 21 Oct 2008 21:59:38 -0700

On Tue, Oct 21, 2008 at 09:47:20PM -0700, Randy Dunlap wrote:
> On Tue, 21 Oct 2008 19:51:09 +1100 Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > Today's tree will not build for powerpc allyesconfig (libc aborts the
> > link due to a free() problem), sparc(32) defconfig and probably some
> > other configurations.
> > 
> > I am no longer commenting on conflicts that are clearly just caused by
> > slight differences in what has been merged into Linus' tree and
> > linux-next or conflicts caused by further changes in the linux-next after
> > a subset of a tree has been merged.
> 
> 
> ERROR: "wireless_send_event" [drivers/staging/wlan-ng/p80211.ko] undefined!
> 
> Looks like that driver should depend on WIRELESS or slt (something like that).

Hm, I added a WLAN_80211 dependancy here, which should catch this
problem (Ingo reported it a few days ago as well.)

Can you send me the config you used that caused this?

thanks,

greg k-h